-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local RMCPCipherSuitesInterface = require 'mdb.bmc.kepler.Managers.RMCPCipherSuitesInterface'

local childs = {}
local RMCPCipherSuites = {childs = childs}

local Mdb = require 'mc.mdb'

local TRMCPCipherSuites = Mdb.register_object('/bmc/kepler/Managers/:Id/RMCPCipherSuites/:SuiteId',
    {{name = 'RMCPCipherSuites', interface = RMCPCipherSuitesInterface.RMCPCipherSuites}})
RMCPCipherSuites.RMCPCipherSuites = TRMCPCipherSuites

function TRMCPCipherSuites:ctor(Id, SuiteId)
    self.path = '/bmc/kepler/Managers/' .. Id .. '/RMCPCipherSuites/' .. SuiteId .. ''
end

return RMCPCipherSuites
